<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"

    android:background="@color/white_bg"
    android:overScrollMode="never">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/back_btn"
            android:layout_width="35sp"
            android:layout_height="35sp"
            android:layout_marginStart="15dp"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="15dp"
            android:layout_marginBottom="15dp"
            android:contentDescription="@string/back_button"
            android:padding="5dp"
            android:paddingStart="-15dp"
            android:paddingEnd="0dp"
            android:src="@drawable/arrow_back" />

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_marginHorizontal="15dp"
            android:fontFamily="@font/nunito_medium"
            android:text="@string/add_routine"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"

            android:textColor="@color/black"

            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="35sp"
            android:fontFamily="@font/nunito_medium"
            android:text="@string/name_of_the_routine"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/black" />

        <EditText
            android:id="@+id/routine_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"

            android:background="@drawable/edit_text_bg_2"
            android:drawableStart="@drawable/ic_routine"
            android:drawablePadding="10dp"
            android:fontFamily="@font/nunito_regular"
            android:hint="@string/enter_routine_name"

            android:inputType="text|textCapSentences"
            android:padding="10dp"

            android:paddingVertical="15dp"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"

            android:maxLength="50"
            android:singleLine="true"

            android:digits="@string/allowed_alphanumeric_space_special"

            />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/nunito_medium"
                android:text="@string/routine_description"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textColor="@color/black" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:text="@string/optional"
                android:fontFamily="@font/nunito_regular"
                android:textColor="@android:color/darker_gray"
                android:textAppearance="@style/TextAppearance.Material3.TitleSmall"

                android:layout_marginStart="5dp"

                />

        </LinearLayout>

        <EditText
            android:id="@+id/routine_description"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"

            android:background="@drawable/edit_text_bg_2"
            android:drawableStart="@drawable/ic_description"
            android:drawablePadding="10dp"

            android:fontFamily="@font/nunito_regular"
            android:hint="@string/enter_description"

            android:inputType="textMultiLine|textCapSentences"
            android:padding="10dp"

            android:paddingVertical="15dp"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"

            android:maxHeight="150dp"

            android:overScrollMode="never"
            android:scrollbars="vertical"
            android:singleLine="true"

            android:maxLength="255"
            android:digits="@string/allowed_alphanumeric_space_special"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/frequency"
            android:fontFamily="@font/nunito_medium"
            android:textColor="@color/black"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:layout_gravity="start"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="10dp"
            android:weightSum="10"
            android:gravity="center_vertical"
            >

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="7"
                android:text="@string/everyday"
                android:fontFamily="@font/nunito_medium"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textColor="@color/black"/>

            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/everyday_check"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="3"
                android:layout_gravity="center_vertical"
                app:switchMinWidth="60dp"
                app:track="@drawable/switch_track_1"
                app:thumbTint="@color/color_primary"
                app:showText="false"
                />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:orientation="horizontal"

            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="5dp"
            android:paddingVertical="5dp"

            android:baselineAligned="false"

            android:gravity="center_vertical"

            android:weightSum="7">

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <TextView
                    android:id="@+id/sun"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_centerInParent="true"

                    android:background="@drawable/ic_user_outline_bg"
                    android:fontFamily="@font/nunito_regular"

                    android:gravity="center"
                    android:text="@string/s"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"

                android:layout_weight="1">

                <TextView
                    android:id="@+id/mon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_centerInParent="true"
                    android:background="@drawable/ic_user_outline_bg"

                    android:fontFamily="@font/nunito_regular"
                    android:gravity="center"

                    android:text="@string/m"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"

                android:layout_weight="1">

                <TextView
                    android:id="@+id/tue"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_centerInParent="true"
                    android:background="@drawable/ic_user_outline_bg"
                    android:fontFamily="@font/nunito_regular"

                    android:gravity="center"
                    android:text="@string/t"

                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"

                android:layout_weight="1">

                <TextView
                    android:id="@+id/wed"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_centerInParent="true"

                    android:background="@drawable/ic_user_outline_bg"
                    android:fontFamily="@font/nunito_regular"

                    android:gravity="center"
                    android:text="@string/w"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"

                android:layout_weight="1">

                <TextView
                    android:id="@+id/thu"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_centerInParent="true"
                    android:background="@drawable/ic_user_outline_bg"
                    android:fontFamily="@font/nunito_regular"

                    android:gravity="center"
                    android:text="@string/t"

                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"

                android:layout_weight="1">

                <TextView
                    android:id="@+id/fri"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_centerInParent="true"
                    android:background="@drawable/ic_user_outline_bg"
                    android:fontFamily="@font/nunito_regular"

                    android:gravity="center"
                    android:text="@string/f"

                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"

                android:layout_weight="1">

                <TextView
                    android:id="@+id/sat"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_centerInParent="true"
                    android:background="@drawable/ic_user_outline_bg"
                    android:fontFamily="@font/nunito_regular"

                    android:gravity="center"
                    android:text="@string/s"

                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium" />

            </RelativeLayout>

        </LinearLayout>

        <TextView
            android:id="@+id/start_time"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:background="@drawable/edit_text_bg_2"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"

            android:gravity="center_vertical"

            android:hint="@string/enter_start_time"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:paddingVertical="15dp"
            android:padding="10dp"

            android:drawablePadding="10dp"

            app:drawableStartCompat="@drawable/ic_clock" />

        <TextView
            android:id="@+id/end_time"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:background="@drawable/edit_text_bg_2"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"

            android:gravity="center_vertical"

            android:hint="@string/enter_end_time"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:paddingVertical="15dp"
            android:padding="10dp"

            android:drawablePadding="10dp"

            app:drawableStartCompat="@drawable/ic_clock" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/add_routine"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="35dp"
            android:text="@string/add"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textAllCaps="false"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/white_bg"
            android:paddingVertical="15dp"
            app:backgroundTint="@color/color_primary"
            app:cornerRadius="15dp"
            />

    </LinearLayout>

</androidx.core.widget.NestedScrollView>